#
# spec file for package python-Cheetah
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-Cheetah
Version:        2.4.4
Release:        lp150.2.3
Summary:        Cheetah is a template engine and code generation tool
License:        MIT
Group:          Development/Languages/Python
Url:            http://www.cheetahtemplate.org/
Source:         https://files.pythonhosted.org/packages/source/C/Cheetah/Cheetah-%{version}.tar.gz
Patch0:         shebang.patch
BuildRequires:  fdupes
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(python)
Conflicts:      python3-Cheetah3
Provides:       python-cheetah = %{version}
Provides:       python2-Cheetah = %{version}
Obsoletes:      python-cheetah < %{version}

%description
Cheetah is an open source template engine and code generation tool.

It can be used standalone or combined with other tools and frameworks. Web
development is its principle use, but Cheetah is very flexible and is also being
used to generate C++ game code, Java, sql, form emails and even Python code.

%prep
%setup -q -n Cheetah-%{version}
# Remove she-bang lines for non-executable scripts:
%patch0 -p1

%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
%fdupes %{buildroot}

%files
%doc CHANGES LICENSE README.markdown TODO
%{_bindir}/cheetah*
%{python_sitearch}/*

%changelog
* Tue Jan  2 2018 tchvatal@suse.com
- Conflict with python3-Cheetah3 to be sure not to collide on binaries
* Wed Apr 19 2017 toddrme2178@gmail.com
- Source url must be https.
* Wed Apr 19 2017 toddrme2178@gmail.com
- Add python2-Cheetah provides to support singlespec macros.
* Sat Mar 16 2013 rbos@opensuse.org
- Use a patch file instead of the sed command to remove the
  shebang line from tests; add  shebang.patch
* Fri Jan 20 2012 bwiedemann@suse.com
- Fix obsoletes
* Thu Jan 12 2012 saschpe@suse.de
- Fix macro usage
* Tue Dec 20 2011 idonmez@suse.com
- Regenerate with py2pack
* Wed Dec  7 2011 saschpe@suse.de
- Initial version
